# Interface PictureMarkerSymbolJson

Picture marker symbols can be used to symbolize point geometries.

See https://developers.arcgis.com/web-map-specification/objects/esriPMS_symbol/.

interface PictureMarkerSymbolJson {
angle?: number;
contentType?: string;
height?: number;
imageData?: string;
type: "esriPMS";
url?: string;
width?: number;
xoffset?: number;
yoffset?: number;
}

#### Hierarchy (view full)

- SymbolJsonBase
  - PictureMarkerSymbolJson

#####
Index

### Properties

angle?
contentType?
height?
imageData?
type
url?
width?
xoffset?
yoffset?

##
Properties

### `Optional` angle

angle?: number

Numeric value that defines the number of degrees ranging from 0-360, that a marker symbol is rotated. The rotation is from East in a counter-clockwise direction where East is the 0° axis.

### `Optional` contentType

contentType?: string

String value indicating the content type for the image.

### `Optional` height

height?: number

Numeric value used if needing to resize the symbol. If images are to be displayed in their original size, leave this blank.

### `Optional` imageData

imageData?: string

String value indicating the base64 encoded data.

### type

type

The type of symbol. See SymbolJsonType.

Overrides SymbolJsonBase.type

### `Optional` url

url?: string

String value indicating the URL of the image. The URL should be relative if working with static layers. A full URL should be used for map service dynamic layers. A relative URL can be dereferenced by accessing the map layer image resource or the feature layer image resource.

### `Optional` width

width?: number

Numeric value used if needing to resize the symbol. If images are to be displayed in their original size, leave this blank.

### `Optional` xoffset

xoffset?: number

Numeric value indicating the offset on the x-axis in pixels.

### `Optional` yoffset

yoffset?: number

Numeric value indicating the offset on the y-axis in pixels.